CREATE TABLE IF NOT EXISTS `UserWarnings`
(
    `Id`             BIGINT       NOT NULL AUTO_INCREMENT,
    `Description`    VARCHAR(255) NOT NULL,
    `UserId`         BIGINT       NOT NULL,
    `Author`         BIGINT       NULL,
    `CreatedAt`      DATETIME(6),
    `LastModifiedAt` DATETIME(6),
    PRIMARY KEY (`Id`),
    FOREIGN KEY (`UserId`) REFERENCES `Users` (`UserId`),
    FOREIGN KEY (`Author`) REFERENCES `Users` (`UserId`)
);


